# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2

inherit eutils pam

DESCRIPTION="A PAM module that can mount volumes for a user session e.g. encrypted home directories"
HOMEPAGE="http://www.flyn.org/projects/pam_mount/index.html"
SRC_URI="http://www.flyn.org/projects/pam_mount/${P}.tbz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc ~sparc ~alpha ~amd64"

IUSE="crypt"
DEPEND=">=sys-libs/pam-0.72 
	>=openssl-0.9.7c-r2
	>=glib-2.0.0"
RDEPEND="$DEPEND
	crypt? ( >=sys-fs/cryptsetup-0.1 )"

src_unpack() {
	unpack ${A}
	cd ${S}

	# Gentoo installs cryptsetup in /bin
	UMNT=scripts/umount.crypt
	sed -i -e 's|CRYPTSETUP=/sbin/cryptsetup|CRYPTSETUP=/bin/cryptsetup|' $UMNT;
	cp ${FILESDIR}/mount.crypt scripts/mount.crypt
	#epatch "${FILESDIR}/pam_mount-0.9.25-config.patch"
}

src_compile() {
	econf \
	    --libdir=/lib \
		"--with-pam-dir=$(getpam_mod_dir)" || die "econf failed"
	emake || die "make failed"
}

src_install() {
	make install DESTDIR=${D} || die "make install failed"
	insinto /etc/security
	insopts -m0644
	doins ${FILESDIR}/pam_mount.conf
	#insinto /etc/pam.d
	#doins ${FILESDIR}/login ${FILESDIR}/kde
	# fixed mount.crypt
	#insinto /usr/bin
	#doins ${FILESDIR}/mount.crypt
	# "mount -t crypt" searches /sbin for mount.crypt
	dodir /sbin
	dosym /usr/bin/mount.crypt /sbin/mount.crypt
	dodoc README TODO AUTHORS ChangeLog FAQ INSTALL NEWS ${FILESDIR}/login ${FILESDIR}/kde
}
